<br><br><br><br>
<div>
	<?php 

//kargo ekle butonuna basılmışsa if bloğumuz çalışmaya başlıyor
	if (isset($_POST['kargoEkle'])) {

//inputtan müşteri adını ve soyadını alıyoruz
		$adsoyad = $_POST['adsoyad'];

//inputtan müşteri telefon nu alıyoruz
		$telno = $_POST['telno'];

//inputtan müşteri adres bilgilerini alıyoruz
		$adres = $_POST['adres'];

//kargo durumunu alıyoruz
		$durum = $_POST['durum'];

//müşterinin kargo takibini yapabilmesi için rand fonksiyonuyla rastgele sayılar üretip kargo takip kodu oluşturuyoruz.
		$takipkodu = rand();

//inputtan gelen veriler boşmu kontrol ettiriyoruz
		if (!$adsoyad or !$telno or !$adres or !$durum) {
			echo "boş alan bırakmayın.";

//değilse else bloğu çalışmaya başlıyor
		}  else {

//herhangi bir sorun yoksa veritabanı ekleme işlemi çalışıyor
			$sorgu = $db->prepare("INSERT INTO musteri SET 
				adsoyad =:a, 
				telno =:b, 
				adres=:c, 
				takipkodu=:d,
				durum =:e");

//inputtan gelen verileri, veritabanına ekleme işlemi gerçekleşiyor
			$ekle = $sorgu->execute(array(
				'a'=>$adsoyad,
				'b'=>$telno,
				'c'=>$adres,
				'd'=>$takipkodu,
				'e'=>$durum
			));

//veritabanına ekleme işlemi başarılımı değilmi if ile kontrol ettiriyoruz.
			if ($ekle) {
				echo "müşteri girişi yapıldı";

//herhangi bir hata varsa errorInfo() fonksiyonu ile yazdırıyoruz
			} else {
				$row=$sorgu->errorInfo();
				echo "Mysql Hatası:".$row[2];
			}

		}
	}

	?>

	<form action="" method="POST">

		<fieldset>
			<legend>Ad & Soyad</legend>
			<input type="text" name="adsoyad">
		</fieldset><br>

		<fieldset>
			<legend>Tel No</legend>
			<input type="text" name="telno" maxlength="11">
		</fieldset><br>


		<fieldset>
			<legend>Kargo durumu</legend>
			<input type="radio" name="durum" value="1" checked="">Teslim edildi<br>
			<input type="radio" name="durum" value="2">Teslim edilmedi  
		</fieldset><br>


		<fieldset>
			<legend>Adres</legend>
			<textarea name="adres" rows="5" cols="30"></textarea>
		</fieldset><br>

		<button name="kargoEkle">Kargo Ekle</button>

	</form>





</div><br><br><br><br>